Subject: Re: Re* [PATCH] Add `[decorate]' configuration section.

From: Heiko Voigt <[email-masked]>
Date: Sat, 20 Feb 2010 18:17:44 +0100

On Wed, Feb 17, 2010 at 10:28:28AM -0800, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:

I have just seen this in Junios tree:

commit 8a3d203bd02bec48a02557961899d81da172fa23 writes:
> Author: Junio C Hamano <[email-masked]>
> Date:   Wed Feb 17 10:20:49 2010 -0800
> 
>     log.decorate: usability fixes
>     
>     The configuration is meant to suppliment --decorate command line option
>     that can be used as a boolean to turn the feature on, so it is natural
>     to expect
>     
>         [log]
>                 decorate
>                 decorate = yes
>     
>     to work.  The original commit would segfault with the first one, and
>     would not understand the second one.
>     
>     Once a user has this configuration in ~/.gitconfig, there needs to be a
>     way to override it from the command line.  Add --no-decorate option to
>     log family and also allow --decorate=no to mean the same thing.  Since
>     we allow setting log.decorate to 'true', the command line also should
>     accept --decorate=yes and behave accordingly.

How about calling that option --plain, --porcelain or similar and have it
disable all configs which change the current output? Because if we can go this
way I would actually like to add more useful configurations. For example I
always find me typing:

git log --decorate --abbrev-commit -p

which in most situations just gives you a nicer overview.

cheers Heiko